import { LogType } from '@/constants/enumerate';
import { PageResult, PageParams } from './common';

// 日志
export interface LogItem {
  id: number;
  // 登录名
  loginName: string;
  // 是否评卷员
  marker: boolean;
  // 操作类型
  type: LogType;
  // 登录IP
  ipAddress: string;
  // 功能模块
  menu: string;
  // 操作时间
  createTime: string;
  // 详情
  description: string;
}
export type LogListPageRes = PageResult<LogItem>;

export interface LogListFilter {
  // 登录名
  loginName?: string;
  // 是否评卷员
  marker: boolean;
  // 操作类型
  type?: LogType;
}
export type LogListPageParam = PageParams<LogListFilter>;
