import { PageResult, PageParams } from './common';

export interface ScanItem {
  // 考试名称
  name: string;
  // 考生总数
  totalCount: number;
  // 已扫张数
  scanSheetCount: number;
  // 已扫人数
  scanCount: number;
  // 人工指定缺考
  manualAbsentCount: number;
}

export type ScanListPageRes = PageResult<ScanItem>;

export interface ScanCourseListFilter {
  // 科目
  code: string | null;
  // 层次
  level?: string;
  // 专业类型
  category?: string;
}
export type ScanCousreListPageParam = PageParams<ScanCourseListFilter>;

export interface ScanPointListFilter {
  // 考点
  examSite?: string;
}
export type ScanPointListPageParam = PageParams<ScanPointListFilter>;

// 签到表统计项
export interface SignPaperStatItem {
  id: number;
  // 签到表编号
  code: string;
  // 图片数量
  picCount: number;
  // 图片
  urls: string[];
}
export type SignPaperStatListPageRes = PageResult<SignPaperStatItem>;

export interface SignPaperStatListFilter {
  // 签到表编号
  code?: string;
  // 状态
  upload?: boolean;
}

export type SignPaperStatListPageParam = PageParams<SignPaperStatListFilter>;
